import request from '@/utils/request'
export function getAllSites() {
	return request({
		url: '/ems/homePage/getAllSites',
		method: 'get'
	})
}

//获取BMS总览数据
export function getBMSOverView(data) {
	return request({
		url: `/ems/siteMonitor/getBMSOverView`, //?siteId=${siteId}
		method: 'get',
		data
	})
}

//获取BMS电池簇总览数据
export function getBMSBatteryCluster(data) {
	return request({
		url: `/ems/siteMonitor/getBMSBatteryCluster`, //?siteId=${siteId}
		method: 'get',
		data
	})
}

//获取电表数据
export function getAmmeterDataList(data) {
	return request({
		url: `/ems/siteMonitor/getAmmeterDataList`, //?siteId=${siteId}
		method: 'get',
		data
	})
}

//获取pcs头部的设备信息
export function getRunningHeadInfo(data) {
	return request({
		url: `/ems/siteMonitor/runningHeadInfo`, //?siteId=${siteId}
		method: 'get',
		data
	})
}
//获取pcs列表
export function getPcsDetailInfo(data) {
	return request({
		url: `/ems/siteMonitor/getPcsDetailInfo`, //?siteId=${siteId}
		method: 'get',
		data
	})
}

//获取单体电池 电池堆列表数据
export function getStackNameList(data) {
	return request({
		url: `/ems/siteMonitor/getStackNameList`, //?siteId=${siteId}
		method: 'get',
		data
	})
}
//获取单体电池 电池簇列表数据
export function getClusterNameList(data) {
	return request({
		url: `/ems/siteMonitor/getClusterNameList`, //?stackDeviceId=${stackDeviceId}&siteId=${siteId}
		method: 'get',
		data
	})
}
//单体电池表格数据
export function getClusterDataInfoList(data) {
	return request({
		url: `/ems/siteMonitor/getClusterDataInfoList?`, //clusterDeviceId=${clusterDeviceId}&siteId=${siteId}&stackDeviceId=${stackDeviceId}&pageSize=${pageSize}&pageNum=${pageNum}
		method: 'get',
		data
	})
}
// 单体电池图表
export function getSingleBatteryData(data) {
	return request({
		url: `/ems/siteMonitor/getSingleBatteryData`, //?siteId=${siteId}&deviceId=${deviceId}&startDate=${startDate}&endDate=${endDate}&clusterDeviceId=${clusterDeviceId}`,
		method: 'get',
		data
	})
}

//获取单个站点的基本信息
export function getSingleSiteBaseInfo(data) {
	return request({
		url: `/ems/siteMap/getSingleSiteBaseInfo`, //?siteId=${siteId}`,
		method: 'get',
		data
	})
}

// 一周冲放曲线
export function getSevenChargeData(data) {
	return request({
		url: `/ems/siteMap/getSevenChargeData`, //?siteId=${siteId}&startDate=${startDate}&endDate=${endDate}`,
		method: 'get',
		data
	})
}

//单站监控 首页 当日功率曲线
export function getPointData(data) {
	return request({
		url: `/ems/siteMonitor/getPointData`,
		method: 'get',
		data
	})
}

// 获取站点包含的设备种类 用来判断单站监控设备监控的菜单栏展示
export function getSiteAllDeviceCategory(data) {
	return request({
		url: `/ems/siteConfig/getSiteAllDeviceCategory`,
		method: 'get',
		data
	})
}